Package Details: hpmyroom 10.13.0.0225-1

Git Clone URL: https://aur.archlinux.org/hpmyroom.git (read-only)
Package Base: hpmyroom
Description: HPE MyRoom a collaborative conferencing meetings software
Upstream URL: https://www.myroom.hpe.com
Keywords: collaborative conferencing hp meetings myroom
Licenses: unknown
Submitter: wiliam
Maintainer: jetm
Last Packager: jetm
Votes: 4
Popularity: 0.000000
First Submitted: 2014-12-22 10:54
Last Updated: 2018-04-24 00:06

Dependencies (44)

Required by (0)

Sources (1)

Latest Comments

je-vv commented on 2018-02-15 00:19

New libva version broke links, so they need to be fixed in the PKGBUILD, and as there might be newer updates on libva, perhaps the following links work better:

libva-drm.so.1 -> libva-drm.so.2 libva.so.1 -> libva.so.2 libva-x11.so.1 -> libva-x11.so.2

Just pointing to the .2 links, rather than the actual .2.. version...

jetm commented on 2017-11-30 00:49

@jevv: Thank you for the change. Bumped a new revision.

je-vv commented on 2017-11-17 03:30

Thanks a lot! Just in case, to avoid forgetting about dangling links:

% diff PKGBUILD hpmyroom.orig/PKGBUILD
7c7
< pkgrel=2
---
> pkgrel=1
21,26d20
<
< mkdir -p ${pkgdir}/usr/lib
< cd ${pkgdir}/usr/lib
< ln -s libva.so.2.0.0 libva.so.1
< ln -s libva-x11.so.2.0.0 libva-x11.so.1
< ln -s libva-drm.so.2.0.0 libva-drm.so.1

jetm commented on 2017-11-16 14:11

hi @jevv: hpmyroom is download already as a binary. We cannot build it against the new libva library. The workaround is as follow, until a new upstream version is released:

sudo ln -s /usr/lib/libva.so.2.0.0 /usr/lib/libva.so.1
sudo ln -s /usr/lib/libva-x11.so.2.0.0 /usr/lib/libva-x11.so.1
sudo ln -s /usr/lib/libva-drm.so.2.0.0 /usr/lib/libva-drm.so.1

je-vv commented on 2017-11-14 17:23

% hpmyroom
hpmyroom: error while loading shared libraries: libva.so.1: cannot open shared object file: No such file or directory

libva 1 missing, and the current one in Arch is 2

je-vv commented on 2016-01-22 21:34

To make fonts available, please add at the end of "package" in PKGBUILD:

chmod -v 0755 ${pkgdir}/usr/share/hpmyroom/Resources/fonts
mkdir -p ${pkgdir}/usr/share/fonts
cp -r ${pkgdir}/usr/share/hpmyroom/Resources/fonts ${pkgdir}/usr/share/fonts/TTF

Then change the current hpmyroom.install with:

post_install() {
echo -n "Updating font cache... "
fc-cache -f
mkfontscale /usr/share/fonts/TTF
mkfontdir /usr/share/fonts/TTF
echo done
}

post_upgrade() {
post_install
}

post_remove() {
post_install
}

jetm commented on 2015-12-07 15:45

Bump up hpmyroom v10.4.0.0174:

- Fix an old bug when DESKTOP_SESSION environment variable is unset.

jetm commented on 2015-10-03 17:36

Bump up hpmyroom v10.4.0.0138 rev 4, to fix this warning message:

warning: directory permissions differ on /usr/share/hpmyroom/Resources/fonts/
filesystem: 644 package: 755

To check it, make sure you can see /usr/share/hpmyroom/Resources/fonts/:

$ ls -l /usr/share/hpmyroom/Resources/fonts
total 872K
-rw-r--r-- 1 root root 448K Sep 25 12:14 HPSimplified_Lt.ttf
-rw-r--r-- 1 root root 422K Sep 25 12:14 HPSimplified_Rg.ttf

jetm commented on 2015-10-03 17:07

Bump to hpmyroom v10.4.0.0138 rev 3. Changelog:

* Change to sha256 checksums.
* Fix permission in /usr/share/hpmyroom/Resources/fonts. Thanks @jevv!